My Project: dgBodyMasterListRow Class Reference

My Project

Public Member Functions | Friends | List of all members
dgBodyMasterListRow Class Reference

`#include <dgBodyMasterList.h>`

Inheritance diagram for dgBodyMasterListRow:

## Public Member Functions

| dgBodyMasterListRow ()
| ~dgBodyMasterListRow ()
dgBody * | GetBody () const
void | RemoveAllJoints ()
dgListNode * | AddContactJoint (dgConstraint *const joint, dgBody *const body)
dgListNode * | AddBilateralJoint (dgConstraint *const joint, dgBody *const body)
void | SortList ()
Public Member Functions inherited from dgList< dgBodyMasterListCell >
| dgList (dgMemoryAllocator *const allocator)
virtual | ~dgList ()
dgMemoryAllocator * | GetAllocator () const
void | SetAllocator (dgMemoryAllocator *const allocator)
| operator dgInt32 () const
dgInt32 | GetCount () const
dgListNode * | GetLast () const
dgListNode * | GetFirst () const
dgListNode * | Append ()
dgListNode * | Append (dgListNode *const node)
dgListNode * | Append (const dgBodyMasterListCell &element)
dgListNode * | Addtop ()
dgListNode * | Addtop (dgListNode *const node)
dgListNode * | Addtop (const dgBodyMasterListCell &element)
void | RotateToEnd (dgListNode *const node)
void | RotateToBegin (dgListNode *const node)
void | InsertAfter (dgListNode *const root, dgListNode *const node)
void | InsertBefore (dgListNode *const root, dgListNode *const node)
dgListNode * | Find (const dgBodyMasterListCell &element) const
dgListNode * | GetNodeFromInfo (dgBodyMasterListCell &m_info) const
void | Remove (dgListNode *const node)
void | Remove (const dgBodyMasterListCell &element)
void | RemoveAll ()
void | Merge (dgList< dgBodyMasterListCell > &list)
void | Unlink (dgListNode *const node)
bool | SanityCheck () const

## Friends

class | dgBodyMasterList

## Constructor & Destructor Documentation

## § dgBodyMasterListRow()

dgBodyMasterListRow::dgBodyMasterListRow | ( |  | ) |

## § ~dgBodyMasterListRow()

dgBodyMasterListRow::~dgBodyMasterListRow | ( |  | ) |

## Member Function Documentation

## § AddBilateralJoint()

dgBodyMasterListRow::dgListNode * dgBodyMasterListRow::AddBilateralJoint | ( | dgConstraint *const | joint,
|  | dgBody *const | body
| ) |  |

## § AddContactJoint()

dgBodyMasterListRow::dgListNode * dgBodyMasterListRow::AddContactJoint | ( | dgConstraint *const | joint,
|  | dgBody *const | body
| ) |  |

## § GetBody()

dgBody* dgBodyMasterListRow::GetBody | ( |  | ) | const

inline

## § RemoveAllJoints()

void dgBodyMasterListRow::RemoveAllJoints | ( |  | ) |

## § SortList()

void dgBodyMasterListRow::SortList | ( |  | ) |

## Friends And Related Function Documentation

## § dgBodyMasterList

friend class dgBodyMasterList

friend

The documentation for this class was generated from the following files:

- dynamics.mod/NewtonDynamics/source/physics/dgBodyMasterList.h
- dynamics.mod/NewtonDynamics/source/physics/dgBodyMasterList.cpp